<?php
function vrcelec_enti($numeroAutorizacion,$ruta,$usuario)
{
$xml = file_get_contents($numeroAutorizacion);	

$DOM = new DOMDocument('1.0', 'utf-8');
$DOM2 = new DOMDocument('1.0', 'utf-8');
$DOM->loadXML($xml);

$xml4=$DOM->getElementsByTagName('comprobante')->item(0)->nodeValue;
$DOM2->loadXML($xml4);
$ruc =             $DOM2->getElementsByTagName('ruc')->item(0)->nodeValue;
$razonSocial =     $DOM2->getElementsByTagName('razonSocial')->item(0)->nodeValue;
$nombreComercial = $DOM2->getElementsByTagName('nombreComercial')->item(0)->nodeValue;
$cespecial = 			 $DOM2->getElementsByTagName('contribuyenteEspecial')->item(0)->nodeValue;
$ocontabil = 			 $DOM2->getElementsByTagName('obligadoContabilidad')->item(0)->nodeValue;
$dirMatriz =       $DOM2->getElementsByTagName('dirMatriz')->item(0)->nodeValue;
$calle1 = substr ( $dirMatriz , 0, 50 );
$calle2 = substr ( $dirMatriz , 50, 50 );
$calle3 = substr ( $dirMatriz , 100, 50 );

$razonSocial=str_replace('"','-',$razonSocial);
$nombreComercial=str_replace('"','-',$nombreComercial);
	
require($ruta);
	$enti_sql='insert into enti0(enti_codigo,enti_descri,enti_iuser,enti_idate,enti_status)
	values("'.$ruc.'","NUEVO RUC","'.$usuario.'",now(),"-")';

	$enti_sql1='update enti0 set ';
	$enti_sql1.='enti_descri="'.$razonSocial.'",';
	$enti_sql1.='enti_razsoc="'.$razonSocial.'",';
	$enti_sql1.='enti_nomcom="'.$nombreComercial.'",';
	$enti_sql1.='enti_struc="A" ';
	$enti_sql1.='where enti_codigo like "'.$ruc.'"';
	mysql_query($enti_sql1,$link_vcrx);
	

// 	$enti_sql2='update enti0 set ';
// 	$enti_sql2.='enti_cesp="'.$cesp.'",';
// 	$enti_sql2.='enti_status="-"';
// 	$enti_sql2.='where enti_codigo like "'.$ruc.'"';
// 	mysql_query($enti_sql2,$link_vcrx);
	
// 	$enti_sql2='update enti0 set ';
// 	$enti_sql2.='enti_cont="'.$obli.'",';
// 	$enti_sql2.='enti_status="-"';
// 	$enti_sql2.='where enti_codigo like "'.$ruc.'"';
// 	mysql_query($enti_sql2,$link_vcrx);
	
	
	$enti_sql2='update enti0 set ';
	$enti_sql2.='enti_direccion="'.$dirMatriz.'",';
	$enti_sql2.='enti_calle1="'.$calle1.'",';
	$enti_sql2.='enti_calle2="'.$calle2.'",';
	$enti_sql2.='enti_calle3="'.$calle3.'",';
	$enti_sql2.='enti_struc="A",';
	$enti_sql2.='enti_status="-" ';
	$enti_sql2.='where enti_codigo like "'.$ruc.'"';
	mysql_query($enti_sql2,$link_vcrx);
	

if(!mysql_query($enti_sql,$link_vcrx))
{
//  	echo $enti_sql;
}
	
// mysql_select_db('vcrxol_demo',$link_vcrx);
// mysql_query($enti_sql,$link_vcrx);

}


?>